
#include <bits/stdc++.h>
using namespace std;

#define rep(i,n) for(int i=0; i<(n); ++i)
#define st first
#define nd second
#define pb push_back
#define mp make_pair

typedef vector<int> vi;
typedef pair<int,int> pii;
typedef long long ll;
typedef long double ld;

const int maxn = 1000 + 5;

struct pt {
	int x, y;
	bool operator<(const pt &p) const {
		if(y!=p.y) return y>p.y;
		else return x < p.x;
	}
	pt operator-(const pt &p) const {
		return {x-p.x,y-p.y};
	}
};

ostream& operator<<(ostream &os, const pt &p) {
	return os<<"("<<p.x<<", "<<p.y<<")";
}

int sign(ll x) {
	if(x<0) return -1;
	if(x==0) return 0;
	return 1;
}

int n;
vector<pt> pts;
vector<bool> vis;
ll area;

ll sqdist(pt p) {
	return 1ll*p.x*p.x+1ll*p.y*p.y;
}

int idx;

bool comp(int i, int j) {
	pt a = pts[i]-pts[idx], b=pts[j]-pts[idx];
	if(sign(a.x) != sign(b.x)) return sign(a.x) > sign(b.x);
	ll cr = 1ll*a.y*b.x-1ll*a.x*b.y;
	if(cr!=0) return cr>0;
	return sqdist(a)<sqdist(b);
}

void update_best(pii &best_idx, ll &best_len, int i, int j, int idx) {
	pt a = pts[i]-pts[idx];
	ll d = sqdist(a);
	if(best_idx.st==-1 || d < best_len) {
		best_len = d;
		best_idx={i,j};
	}
}

ll scalar(int i, int j, int idx) {
	pt a=pts[i]-pts[idx], b=pts[j]-pts[idx];
	return 1ll*a.x*b.x+1ll*a.y*b.y;
}

ll sqlen(int i) {
	pt p = pts[i]-pts[idx];
	return sqdist(p);
}

void process(int idx, vi &v) {
	sort(v.begin(), v.end(), comp);
	//rep(i,v.size()) cout<<v[i]<<": "<<pts[v[i]]<<endl;
	//cout<<scalar(1,2,0)<<" <-"<<endl;
	pii best_idx(-1,-1); ll best_len=-1;
	int j=1;
	for(int i=0; i<v.size(); ++i) {
		j=max(j,i+1);
		while(j<v.size() && (scalar(v[i],v[j],idx)>0 || (scalar(v[i],v[j],idx)==0 && sqlen(v[j])<sqlen(v[i])))) ++j;
		if(j<v.size() && scalar(v[i],v[j],idx)==0 && sqlen(v[j])==sqlen(v[i]))
			update_best(best_idx,best_len,v[i],v[j],idx);
	}
	//cout<<"idx="<<idx<<" "<<best_idx.st<<", "<<best_idx.nd<<endl;
	assert(best_idx.st!=-1);
	assert(!vis[best_idx.st] && !vis[best_idx.nd]);
	vis[best_idx.st]=vis[best_idx.nd]=true;
	pt a=pts[best_idx.st]-pts[idx], b=pts[best_idx.nd]-pts[idx];
	pt c{pts[idx].x+a.x+b.x, pts[idx].y+a.y+b.y};
	bool found=false;
	rep(i,v.size()){
		int jj=v[i];
		if(pts[jj].x==c.x && pts[jj].y==c.y){
			found=true;
			assert(!vis[jj]);
			vis[jj]=true;
			break;
		}
	}
	assert(found);
	area += best_len;
}

void solve() {
	scanf("%d", &n);n*=4;
	pts.resize(n);
	rep(i,n) scanf("%d %d", &pts[i].x, &pts[i].y);
	sort(pts.begin(), pts.end());
	//rep(i,n) cout<<pts[i]<<endl;
	vis.resize(n,false);
	rep(i,n) if(!vis[i]) {
		vis[i]=true;
		vi v;
		for(int j=i+1; j<n; ++j) if(!vis[j]) v.pb(j);
		idx=i;
		process(i,v);
	}
	printf("%Ld\n", area);
}

int main(){
solve();
return 0;
}
/*
(-2, 3)
(0, 3)
(0, 1)
(-2, 1)
(-1, 1)
(-3, 1)
(0, 0)
(1, 0)
(-2, -1)
(-1, -1)
(-3, -1)
(0, -1)
(1, -1)
(-3, -2)
(-1, -2)
(-2, -3)
1: (0, 3)
2: (0, 1)
7: (1, 0)
12: (1, -1)
6: (0, 0)
4: (-1, 1)
11: (0, -1)
9: (-1, -1)
14: (-1, -2)
3: (-2, 1)
8: (-2, -1)
15: (-2, -3)
13: (-3, -2)
10: (-3, -1)
5: (-3, 1)
4 <-
idx=0 1, 3
7: (1, 0)
6: (0, 0)
12: (1, -1)
11: (0, -1)
9: (-1, -1)
14: (-1, -2)
15: (-2, -3)
8: (-2, -1)
13: (-3, -2)
10: (-3, -1)
5: (-3, 1)
4 <-
idx=4 6, 10
f: f.cpp:100: void process(int, vi&): Assertion `found' failed.
*/
